Subject: Re: [PATCH] net: ks8851: Fix potential TX stall after interface reopen

From: Jakub Kicinski <[email-masked]>
Date: Thu, 11 Jul 2024 18:19:20 -0700

On Tue,  9 Jul 2024 21:58:45 +0200 Ronald Wahl wrote:
> From: Ronald Wahl <[email-masked]>
> 
> The amount of TX space in the hardware buffer is tracked in the tx_space
> variable. The initial value is currently only set during driver probing.
> 
> After closing the interface and reopening it the tx_space variable has
> the last value it had before close. If it is smaller than the size of
> the first send packet after reopeing the interface the queue will be
> stopped. The queue is woken up after receiving a TX interrupt but this
> will never happen since we did not send anything.
> 
> This commit moves the initialization of the tx_space variable to the
> ks8851_net_open function right before starting the TX queue. Also query
> the value from the hardware instead of using a hard coded value.
> 
> Only the SPI chip variant is affected by this issue because only this
> driver variant actually depends on the tx_space variable in the xmit
> function.

The patchwork bot is taking long siestas in Konstantin's absence, 
FWIW this patch was applied by Paolo on Tue. Thank you!
-- 
pw-bot: accept